# propka.coupled_groups

## Coupling between groups

Describe and analyze energetic coupling between groups.

Classes

`NonCovalentlyCoupledGroups`() | Groups that are coupled without covalent bonding.

class propka.coupled_groups.NonCovalentlyCoupledGroups

  Groups that are coupled without covalent bonding.

  get_free_energy_diff_factor(energy1, energy2)

    Get scaling factor for difference between free energies.

    Parameters:

      - energy1 – first energy to compare

      - energy2 – second energy to compare

    Returns:

      float value of scaling factor

  static get_interaction(group1: Group, group2: Group, include_side_chain_hbs=True)

    Get interaction energy between two groups.

    Parameters:

      - group1 – first group for interaction

      - group2 – second group for interaction

      - include_side_chain_hbs – include sidechain hydrogen bonds in energy

    Returns:

      interaction energy (float)

  get_interaction_factor(interaction_energy)

    Get scaling factor related to interaction energy.

    Parameters:

      interaction_energy – interaction energy

    Returns:

      float value of scaling factor

  get_pka_diff_factor(pka1, pka2)

    Get scaling factor for difference between intrinsic pKa values.

    Parameters:

      - pka1 – first pKa to compare

      - pka2 – second pKa to compare

    Returns:

      float value of scaling factor

  identify_non_covalently_coupled_groups(conformation, verbose=True)

    Find coupled residues in protein.

    Parameters:

      - conformation – protein conformation to test

      - verbose – verbose output (boolean)

  is_coupled_protonation_state_probability(group1, group2, energy_method, return_on_fail=True)

    Check whether two groups are energetically coupled.

    Parameters:

      - group1 – first group for interaction

      - group2 – second group for interaction

      - energy_method – function for calculating energy

      - return_on_fail – return if part of the calculation fails

    Returns:

      dictionary describing coupling

  static make_data_to_string(data, group1, group2)

    Describe interaction between groups.

    Parameters:

      - data – data about interactions

      - group1 – first group

      - group2 – second group

    Returns:

      formatted string with information.

  print_determinants_section(system, tag)

    Print determinants of system.

    Parameters:

      - system – set of groups

      - tag – something to add to output

    Returns:

      string with summary

  print_out_swaps(conformation)

    Print out something having to do with coupling interactions.

    Parameters:

      conformation – conformation to print

  print_system(conformation, system)

    Print out something about the system.

    Parameters:

      - conformation – conformation to print

      - system – system to print

  swap_interactions(groups1, groups2, include_side_chain_hbs=True)

    Swap interactions between two groups.

    Parameters:

      - group1 – first group to swap

      - group2 – second group to swap

  static tagged_format(tag, str_, labels)

    Tag a string.

    Parameters:

      - tag – tag to add

      - str – string to tag

      - labels – labels to replace

    Returns:

      tagged string

  static transfer_determinant(determinants1, determinants2, label1, label2)

    Transfer information between two sets of determinants.

    Parameters:

      - determinants1 – determinant list

      - determinants2 – determinant list

      - label1 – label for list 1

      - label2 – label for list 2